import 'package:json_annotation/json_annotation.dart';

part 'currency_pair.g.dart';


@JsonSerializable()
class CurrencyPairDTO {
  final String base;
  final String quote;

  const CurrencyPairDTO({
    required this.base,
    required this.quote,
  });

  factory CurrencyPairDTO.fromJson(Map<String, dynamic> json) => _$CurrencyPairDTOFromJson(json);
  Map<String, dynamic> toJson() => _$CurrencyPairDTOToJson(this);
}
